Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160550 - C Development tools install improperly
Summary: C Development tools install improperly
Keywords:
Status: CLOSED DUPLICATE of bug 172717
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 18:59 UTC by Gabriel Schulhof
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-31 01:24:43 UTC


Attachments (Terms of Use)

Description Gabriel Schulhof 2005-06-15 18:59:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
When I bring up the properties for C/C++ Development Tools and click on status, I get:

Status:
The feature is not configured properly.

Reason:
Plug-in "org.eclipse.cdt.core.linux.ppc" version "3.0.0" referenced by this feature is missing.

Version-Release number of selected component (if applicable):
eclipse-cdt-3.0.0_fc-0.M6.7

How reproducible:
Always

Steps to Reproduce:
1. Install FC4-PPC with Eclipse
2. Open Eclipse and go to the plugin status dialog
  

Actual Results:  I found the above message.

Expected Results:  There should be no complaints ... ?

Additional info:

Comment 1 Jeroen Beerstra 2005-08-08 01:19:16 UTC
Same here on x86_64.

From /usr/share/eclipse/plugins:

drwxr-xr-x   4 root root    4096 jun 26 10:49 org.eclipse.cdt_3.0.0
drwxr-xr-x   3 root root    4096 jun 26 10:49 org.eclipse.cdt.core_3.0.0
drwxr-xr-x   2 root root    4096 jun 26 10:49 org.eclipse.cdt.core.linux_3.0.0
drwxr-xr-x   3 root root    4096 jun 26 10:49 org.eclipse.cdt.core.linux.x86_3.0.0



Comment 2 Andrew Overholt 2005-10-21 20:25:31 UTC
Can either of you try tomorrow's rawhide packages?  If not, watch for a new CDT
in FC4 updates-testing.

Comment 3 Kenneth A. Redler 2005-10-25 21:24:01 UTC
The new eclipse-cdt doesn't work with the available eclipse-platform.

sh-3.00# up2date -i eclipse-cdt
initRepo
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.mirrors.tds.net/pub/fedora-core/updates/4/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/updates/4/i386/',
'http://fedora.secsup.org/core/updates/4/i386/',
'http://mirror.newnanutilities.org/fedora/linux/core/updates/4/i386/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ale.org/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/updates/4/i386/',
'http://mirrors.playboy.com/fedora/updates/4/i386/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/updates/4/i386/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/updates/4/i386/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/4/i386/',
'http://srl.cs.jhu.edu/YUM/fedora-core/updates/4/i386/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/updates/4/i386/',
'http://limestone.uoregon.edu/ftp/fedora/updates/4/i386/',
'http://mirror.stanford.edu/fedora/linux/core/updates/4/i386/',
'http://mirrors.kernel.org/fedora/core/updates/4/i386/',
'http://mirror.web-ster.com/fedora/core/updates/4/i386/',
'http://fedora.cat.pdx.edu/linux/core/updates/4/i386/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/updates/4/i386/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://mirrors.csumb.edu/pub/fedora/updates/4/i386/',
'http://less.cogeco.net/pub/fedora/linux/core/updates/4/i386/',
'http://www.muug.mb.ca/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.arcticnetwork.ca/updates/4/i386/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.netglobalis.net/pub/fedora/core/updates/4/i386/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/updates/4/i386/',
'http://sunsite.mff.cuni.cz/pub/fedora/updates/4/i386/',
'http://ftp1.skynet.cz/pub/linux/fedora/updates/4/i386/',
'http://klid.dk/homeftp/fedora/linux/core/updates/4/i386/',
'http://redhat.linux.ee/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://fr.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://fr2.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/updates/4/i386/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/updates/4/i386/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/updates/4/i386/',
'http://dl.atrpms.net/mirrors/fedoracore/updates/4/i386/',
'http://www.fedora.is/fedora/core/updates/4/i386/',
'http://ftp.heanet.ie/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.ngi.it/updates/4/i386/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/updates/4/i386/',
'http://ftp.ps.pl/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/updates/4/i386/',
'http://ftp.lug.ro/fedora/linux/core/updates/4/i386/',
'http://ftp.chg.ru/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://mirror2.etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/updates/4/i386/',
'http://mirrors.bevc.net/fedora/updates/4/i386/',
'http://ftp.udl.es/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/updates/4/i386/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/updates/4/i386/',
'http://planetmirror.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.riken.jp/Linux/fedora/core/updates/4/i386/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.averse.net/fedora/linux/core/updates/4/i386/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/updates/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/',
'http://mirrors.kernel.org/fedora/extras/4/i386/',
'http://fedora.cat.pdx.edu/linux/extras/4/i386/',
'http://fedora.gtlib.cc.gatech.edu/pub/fedora.redhat/linux/extras/4/i386/',
'http://fr2.rpmfind.net/linux/fedora/extras/4/i386/',
'http://fr.rpmfind.net/linux/fedora/extras/4/i386/',
'http://ftp.chg.ru/pub/Linux/fedora/linux/extras/4/i386/',
'http://ftp.kddilabs.jp/Linux/packages/fedora/extras/4/i386/',
'http://ftp.lug.ro/fedora/linux/extras/4/i386/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/extras/4/i386/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/extras/4/i386/',
'http://gd.tuwien.ac.at/opsys/linux/fedora/extras/4/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/extras/4/i386/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/extras/4/i386/',
'http://mirror.web-ster.com/fedora/extras/4/i386/',
'http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/4/i386/os/',
'http://fedora.mirrors.tds.net/pub/fedora-core/4/i386/os/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/4/i386/os/',
'http://fedora.secsup.org/core/4/i386/os/',
'http://mirror.newnanutilities.org/fedora/linux/core/4/i386/os/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ale.org/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/4/i386/os/',
'http://mirrors.playboy.com/fedora/4/i386/os/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/4/i386/os/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/4/i386/os/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/4/i386/os/',
'http://srl.cs.jhu.edu/YUM/fedora-core/4/i386/os/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/4/i386/os/',
'http://limestone.uoregon.edu/ftp/fedora/4/i386/os/',
'http://mirror.stanford.edu/fedora/linux/core/4/i386/os/',
'http://mirrors.kernel.org/fedora/core/4/i386/os/',
'http://mirror.web-ster.com/fedora/core/4/i386/os/',
'http://fedora.cat.pdx.edu/linux/core/4/i386/os/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/4/i386/os/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://mirrors.csumb.edu/pub/fedora/4/i386/os/',
'http://less.cogeco.net/pub/fedora/linux/core/4/i386/os/',
'http://www.muug.mb.ca/pub/fedora/linux/core/4/i386/os/',
'http://fedora.arcticnetwork.ca/4/i386/os/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/4/i386/os/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.netglobalis.net/pub/fedora/core/4/i386/os/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/4/i386/os/',
'http://sunsite.mff.cuni.cz/pub/fedora/4/i386/os/',
'http://ftp1.skynet.cz/pub/linux/fedora/4/i386/os/',
'http://klid.dk/homeftp/fedora/linux/core/4/i386/os/',
'http://redhat.linux.ee/pub/fedora/linux/core/4/i386/os/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://fr.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://fr2.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/4/i386/os/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/4/i386/os/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/4/i386/os/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/4/i386/os/',
'http://dl.atrpms.net/mirrors/fedoracore/4/i386/os/',
'http://www.fedora.is/fedora/core/4/i386/os/',
'http://ftp.heanet.ie/pub/fedora/linux/core/4/i386/os/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://fedora.ngi.it/4/i386/os/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/4/i386/os/',
'http://ftp.ps.pl/pub/linux/fedora-core/4/i386/os/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/4/i386/os/',
'http://ftp.lug.ro/fedora/linux/core/4/i386/os/',
'http://ftp.chg.ru/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://mirror2.etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/4/i386/os/',
'http://mirrors.bevc.net/fedora/4/i386/os/',
'http://ftp.udl.es/pub/fedora/linux/core/4/i386/os/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/4/i386/os/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/4/i386/os/',
'http://planetmirror.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.riken.jp/Linux/fedora/core/4/i386/os/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.averse.net/fedora/linux/core/4/i386/os/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/4/i386/os/']
Setting up Package Sacks
Excluding Incompatible Archs
Finished
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished

Fetching Obsoletes list for channel: updates-released...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/...

Fetching Obsoletes list for channel: extras...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/...

Fetching Obsoletes list for channel: base...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
eclipse-cdt                             3.0.0_fc       0.M6.7            i386

initRepo
initRepo
initRepo

Testing package set / solving RPM inter-dependencies...
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.mirrors.tds.net/pub/fedora-core/updates/4/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/updates/4/i386/',
'http://fedora.secsup.org/core/updates/4/i386/',
'http://mirror.newnanutilities.org/fedora/linux/core/updates/4/i386/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ale.org/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/updates/4/i386/',
'http://mirrors.playboy.com/fedora/updates/4/i386/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/updates/4/i386/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/updates/4/i386/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/4/i386/',
'http://srl.cs.jhu.edu/YUM/fedora-core/updates/4/i386/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/updates/4/i386/',
'http://limestone.uoregon.edu/ftp/fedora/updates/4/i386/',
'http://mirror.stanford.edu/fedora/linux/core/updates/4/i386/',
'http://mirrors.kernel.org/fedora/core/updates/4/i386/',
'http://mirror.web-ster.com/fedora/core/updates/4/i386/',
'http://fedora.cat.pdx.edu/linux/core/updates/4/i386/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/updates/4/i386/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://mirrors.csumb.edu/pub/fedora/updates/4/i386/',
'http://less.cogeco.net/pub/fedora/linux/core/updates/4/i386/',
'http://www.muug.mb.ca/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.arcticnetwork.ca/updates/4/i386/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.netglobalis.net/pub/fedora/core/updates/4/i386/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/updates/4/i386/',
'http://sunsite.mff.cuni.cz/pub/fedora/updates/4/i386/',
'http://ftp1.skynet.cz/pub/linux/fedora/updates/4/i386/',
'http://klid.dk/homeftp/fedora/linux/core/updates/4/i386/',
'http://redhat.linux.ee/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://fr.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://fr2.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/updates/4/i386/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/updates/4/i386/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/updates/4/i386/',
'http://dl.atrpms.net/mirrors/fedoracore/updates/4/i386/',
'http://www.fedora.is/fedora/core/updates/4/i386/',
'http://ftp.heanet.ie/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.ngi.it/updates/4/i386/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/updates/4/i386/',
'http://ftp.ps.pl/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/updates/4/i386/',
'http://ftp.lug.ro/fedora/linux/core/updates/4/i386/',
'http://ftp.chg.ru/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://mirror2.etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/updates/4/i386/',
'http://mirrors.bevc.net/fedora/updates/4/i386/',
'http://ftp.udl.es/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/updates/4/i386/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/updates/4/i386/',
'http://planetmirror.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.riken.jp/Linux/fedora/core/updates/4/i386/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.averse.net/fedora/linux/core/updates/4/i386/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/updates/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/',
'http://mirrors.kernel.org/fedora/extras/4/i386/',
'http://fedora.cat.pdx.edu/linux/extras/4/i386/',
'http://fedora.gtlib.cc.gatech.edu/pub/fedora.redhat/linux/extras/4/i386/',
'http://fr2.rpmfind.net/linux/fedora/extras/4/i386/',
'http://fr.rpmfind.net/linux/fedora/extras/4/i386/',
'http://ftp.chg.ru/pub/Linux/fedora/linux/extras/4/i386/',
'http://ftp.kddilabs.jp/Linux/packages/fedora/extras/4/i386/',
'http://ftp.lug.ro/fedora/linux/extras/4/i386/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/extras/4/i386/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/extras/4/i386/',
'http://gd.tuwien.ac.at/opsys/linux/fedora/extras/4/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/extras/4/i386/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/extras/4/i386/',
'http://mirror.web-ster.com/fedora/extras/4/i386/',
'http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/4/i386/os/',
'http://fedora.mirrors.tds.net/pub/fedora-core/4/i386/os/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/4/i386/os/',
'http://fedora.secsup.org/core/4/i386/os/',
'http://mirror.newnanutilities.org/fedora/linux/core/4/i386/os/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ale.org/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/4/i386/os/',
'http://mirrors.playboy.com/fedora/4/i386/os/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/4/i386/os/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/4/i386/os/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/4/i386/os/',
'http://srl.cs.jhu.edu/YUM/fedora-core/4/i386/os/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/4/i386/os/',
'http://limestone.uoregon.edu/ftp/fedora/4/i386/os/',
'http://mirror.stanford.edu/fedora/linux/core/4/i386/os/',
'http://mirrors.kernel.org/fedora/core/4/i386/os/',
'http://mirror.web-ster.com/fedora/core/4/i386/os/',
'http://fedora.cat.pdx.edu/linux/core/4/i386/os/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/4/i386/os/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://mirrors.csumb.edu/pub/fedora/4/i386/os/',
'http://less.cogeco.net/pub/fedora/linux/core/4/i386/os/',
'http://www.muug.mb.ca/pub/fedora/linux/core/4/i386/os/',
'http://fedora.arcticnetwork.ca/4/i386/os/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/4/i386/os/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.netglobalis.net/pub/fedora/core/4/i386/os/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/4/i386/os/',
'http://sunsite.mff.cuni.cz/pub/fedora/4/i386/os/',
'http://ftp1.skynet.cz/pub/linux/fedora/4/i386/os/',
'http://klid.dk/homeftp/fedora/linux/core/4/i386/os/',
'http://redhat.linux.ee/pub/fedora/linux/core/4/i386/os/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://fr.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://fr2.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/4/i386/os/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/4/i386/os/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/4/i386/os/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/4/i386/os/',
'http://dl.atrpms.net/mirrors/fedoracore/4/i386/os/',
'http://www.fedora.is/fedora/core/4/i386/os/',
'http://ftp.heanet.ie/pub/fedora/linux/core/4/i386/os/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://fedora.ngi.it/4/i386/os/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/4/i386/os/',
'http://ftp.ps.pl/pub/linux/fedora-core/4/i386/os/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/4/i386/os/',
'http://ftp.lug.ro/fedora/linux/core/4/i386/os/',
'http://ftp.chg.ru/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://mirror2.etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/4/i386/os/',
'http://mirrors.bevc.net/fedora/4/i386/os/',
'http://ftp.udl.es/pub/fedora/linux/core/4/i386/os/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/4/i386/os/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/4/i386/os/',
'http://planetmirror.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.riken.jp/Linux/fedora/core/4/i386/os/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.averse.net/fedora/linux/core/4/i386/os/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/4/i386/os/']
Setting up Package Sacks
Excluding Incompatible Archs
Finished
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
eclipse-cdt-3.0.0_fc-0.M6.7              requires eclipse-platform >=
3.1.0_fc-0.M7.4


The following packages were added to your selection to satisfy dependencies:
Package                                Required by
----------------------------------------------------------------------------

sh-3.00# up2date --showall | grep eclipse-platform
eclipse-platform-3.1.0_fc-0.M6.22.i386
eclipse-platform-devel-3.1.0_fc-0.M6.22.i386
sh-3.00#

Comment 4 Andrew Overholt 2005-10-25 21:33:30 UTC
Rawhide CDT will only work with rawhide (or fc4 updates-testing)
eclipse-platform.  Once we get Eclipse 3.1.1 out for FC4, we can get CDT 3.0.0
out for FC4.

Comment 5 Kenneth A. Redler 2005-10-25 21:51:40 UTC
However, shouldn't the cdt available from up2date work with the eclipse-platform
available from up2date?

How do I get a cdt that works?

Comment 6 Andrew Overholt 2005-10-25 22:18:36 UTC
I don't know where up2date is getting things from.  You're on FC4, right?  Just
do something like:

yum install eclipse-cdt

If you want to try what will potentially be released as an FC4 update, try:

yum --enablerepo=updates-testing install eclipse-jdt

and then:

yum --enablerepo=development install eclipse-cdt

Comment 7 Kenneth A. Redler 2005-10-27 14:14:36 UTC
Correct FC4.  "yum install eclipse-cdt" did what I needed.  Thanks alot for the
help.


 - kr

Comment 8 Andrew Overholt 2005-12-31 01:24:43 UTC
I fixed the .sos being installed in the wrong location for non-x86 platforms,
but the "Manage Configuration" dialog still shows the feature as being installed
improperly.  I messed around with the feature.xml for the CDT but I still could
not get it to show up as being enabled.  I think this is the same issue as bug
172717 so I'm going to mark this a duplicate of that since eclipse bugs are more
visible to me than eclipse-cdt (since I have a link to the eclipse bugs).

*** This bug has been marked as a duplicate of 172717 ***


Note You need to log in before you can comment on or make changes to this bug.